Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## php.java.bridge
Class Util.CgiEnvironment

    java.lang.Object
      java.util.AbstractMap<K,V>
          java.util.HashMap
              php.java.bridge.Util.CgiEnvironment

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, java.util.Map

Enclosing class:
  Util

    public static class Util.CgiEnvironment

extends java.util.HashMap

A default CGI environment which contains a "SystemRoot" entry. Some versions of windows require it in order to function properly.

Author:
  jostb
See Also:
  Serialized Form

Method Summary

Methods inherited from class java.util.HashMap
`clear, clone, containsKey, containsValue, entrySet, get, isEmpty, keySet, put, putAll, remove, size, values`

Methods inherited from class java.util.AbstractMap
`equals, hashCode, toString`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.Map
`equals, hashCode`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD